<?php

if(isset($_GET["s"])){
	$_SESSION['bctabs']='';
	if($_GET["s"]=="nbperactiv"||$_GET["s"]=="percentperactiv"||$_GET["s"]=="all") {
		//fréquentation par activité :
		$bctab1 = '<table style="text-align:right;">
		<thead><tr><td colspan="3" style="text-align:center;">'.FDIR_STATS_TIT1.'<br>'.FROM2.' '.$affday1.' '.TO2.' '.$affday2.'</td></tr><tr><th></th><th>'.NUMBER.'</th><th>%</th></tr></thead><tbody>';
		$tabNbPerActivite = array();
		$tabPercentPerActivite = array();
		foreach($activ as $activ_info) {
			$activ_code = $activ_info['code_activ'];
			if(($filtre_activs==""||@$_SESSION['verif_activ'][0]==""||in_array($activ_code,$_SESSION['verif_activ']))&&$activ_code!='ZERO') { // on vérifie qu'elle n'est pas décochée
				$nbeleves_activ = mysqli_query($bdd,"SELECT freq.freq_id FROM ".$prefix."_freq freq WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' AND code_activ = '".$activ_code."' ".$filtre_espaces."");
				$nbeleves = mysqli_num_rows($nbeleves_activ);
				//si grappes
				if($grappes_check==1) {
					$elegrap_nb = mysqli_query($bdd,"SELECT nombre FROM ".$prefix."_freqgrappes WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' AND passage = '0' AND code_activ = '".$activ_code."' ".$filtre_espaces."");
					while($elegrap = mysqli_fetch_assoc($elegrap_nb)) {
						$nbeleves += $elegrap['nombre'];
					}
				}
				if($nbeleves>0) {
					$tabActivites[] = $activ_info['code_activ'];
					$tabActivitesNom[] = $activ_info['nom_activ'];
					array_push($tabNbPerActivite, $nbeleves);
					$percent = round(($nbeleves * 100 / $totalfreq_nb),2);
					array_push($tabPercentPerActivite, $percent);
					$bctab1 .= '<tr><td>'.$activ_info['nom_activ'].'</td><td>'.$nbeleves.'</td><td>'.number_format((float)$percent,2,'.','').'</td></tr>';
				}
			}
		}
		$bctab1 .= '<tr><td>'.TOTAL.'</td><td>'.$totalfreq_nb.'</td><td>100.00</td></tr></tbody></table>';
	}
	if($_GET["s"]=="nbperactiv"||$_GET["s"]=="all") {
		//Nombre de visites par activité :
		include('freq_stats_actchart_nbperactiv.php');
	}
	if($_GET["s"]=="percentperactiv"||$_GET["s"]=="all") {
		//Pourcentage de visites par activité :
		include('freq_stats_actchart_percentperactiv.php');
	}
	if($_GET["s"]=="nbperactiv"||$_GET["s"]=="percentperactiv"||$_GET["s"]=="all") {
		echo '<br> <br>'.$bctab1;
		$_SESSION['bctabs'] .= $bctab1;
	}
	if($_GET["s"]=="percentperactivperniv"||$_GET["s"]=="all") {
		//Pourcentage de visites par activité par niveau :
		include('freq_stats_actchart_percentperactivperniv.php');
	}
	if($_GET["s"]=="percentperactivperssex"||$_GET["s"]=="all") {
		//Pourcentage de visites par activité par genre :
		include('freq_stats_actchart_percentperactivperssex.php');
	}
	if($_GET["s"]=="activperweek"||$_GET["s"]=="all") {
		//Répartition des activités chaque semaine :
		include('freq_stats_actchart_activperweek.php');
	}

	echo '<br> <a onclick="submitods();" id="preview-ods"><i class="fa-solid fa-file-export" style="font-size:1.5em;"></i> '.STATS_DL1.'</a>';
	if(isset($_POST['haveods'])) {
		include('stats_ods_loader.php');
	}
    echo '<form id="loadods" action="db/proc/stats/stats_ods_loader.php" method="post"><input type="hidden" name="haveods" value="1" /></form>';

    echo '<script type="text/javascript">
	function submitods(){
		$("#loadods").submit()
	}
	</script>';
}
?>
